need help to install Scribus on Mac OS Mojave 10.14.6

Previous topic - Next topic

DigiDan

Hey,
I'm an absolute beginner and can't find the right link to install Scribus on Mac OS Mojave 10.14.6.
Can anybody help me? I want a stable version of Scribus.
Thank you very much!

PatJr

sorry, I dunno
did you try the 1.5.8 version? it's not as unstable as it sounds

AdmFubar

Using Scribus 1.5.8 + 1.6.1, openSUSE 15.5
Advanced hobbyist

utnik

hi digidan

as mojave is the last mac os which accepts 32-bit applications, you should be able to run scribus 1.4.8 and 1.5.8.
but i would recommend 1.5.8 (and 1.6.0 as soon as it will be released...)

utnik

DigiDan

Thank you very much!
I'm gonna try your recomments and come back, how it works.   :)
Have a nice day!